org.apache.poi.ddf

## Class EscherBoolProperty

- java.lang.Object
- - org.apache.poi.ddf.EscherProperty
  - - org.apache.poi.ddf.EscherSimpleProperty
    - - org.apache.poi.ddf.EscherBoolProperty

- All Implemented Interfaces:
    GenericRecord

      public class EscherBoolProperty
      extends EscherSimpleProperty

  Represents a boolean property. The actual utility of this property is in doubt because many of the properties marked as boolean seem to actually contain special values. In other words they're not true booleans.
  See Also:
    `EscherSimpleProperty`, `EscherProperty`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EscherBoolProperty(EscherPropertyTypes propertyType, int value)` Create an instance of an escher boolean property.
    `EscherBoolProperty(short propertyNumber, int value)` Create an instance of an escher boolean property.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isTrue()` Whether this boolean property is true

    - ### Methods inherited from class org.apache.poi.ddf.EscherSimpleProperty

      `equals, getGenericProperties, getPropertyValue, hashCode, serializeComplexPart, serializeSimplePart`

    - ### Methods inherited from class org.apache.poi.ddf.EscherProperty

      `getGenericChildren, getGenericRecordType, getId, getName, getPropertyNumber, getPropertySize, isBlipId, isComplex, toString, toXml`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EscherBoolProperty

          public EscherBoolProperty(short propertyNumber,
                                    int value)

      Create an instance of an escher boolean property.
      Parameters:
        `propertyNumber` - The property number (or id)
        `value` - The 32 bit value of this bool property

    - #### EscherBoolProperty

          public EscherBoolProperty(EscherPropertyTypes propertyType,
                                    int value)

      Create an instance of an escher boolean property.
      Parameters:
        `propertyType` - The property type
        `value` - The 32 bit value of this bool property

  - ### Method Detail

    - #### isTrue

          public boolean isTrue()

      Whether this boolean property is true
      Returns:
        the boolean property value

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.